<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_view_dashboard"
    app:startDestination="@id/homeFragment">

    <fragment
        android:id="@+id/homeFragment"
        android:name="com.example.finalkotlinapp.mainFragments.HomeFragment"
        android:label="fragment_home"
        tools:layout="@layout/fragment_home" >

        <action
            android:id="@+id/action_homeFragment_to_hospitalFragment"
            app:destination="@id/hospitalFragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/slide_out_right" />
        <action
            android:id="@+id/action_homeFragment_to_profileFragment"
            app:destination="@id/profileFragment" />
        <action
            android:id="@+id/action_homeFragment_to_dentalClinicFragment"
            app:destination="@id/dentalClinicFragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/slide_out_right" />
        <action
            android:id="@+id/action_homeFragment_to_communicateFragment"
            app:destination="@id/communicateFragment" />
    </fragment>
    <fragment
        android:id="@+id/profileFragment"
        android:name="com.example.finalkotlinapp.mainFragments.ProfileFragment"
        android:label="fragment_profile"
        tools:layout="@layout/fragment_profile" >

        <action
            android:id="@+id/action_profileFragment_to_homeFragment"
            app:destination="@id/homeFragment" />
    </fragment>
    <fragment
        android:id="@+id/hospitalFragment"
        android:name="com.example.finalkotlinapp.ui.hospital.HospitalFragment"
        android:label="fragment_hospital"
        tools:layout="@layout/fragment_hospital" />
    <fragment
        android:id="@+id/dentalClinicFragment"
        android:name="com.example.finalkotlinapp.ui.dentalclinic.DentalClinicFragment"
        android:label="fragment_dental_clinic"
        tools:layout="@layout/fragment_dental_clinic" />
    <fragment
        android:id="@+id/communicateFragment"
        android:name="com.example.finalkotlinapp.ui.communicate.CommunicateFragment"
        android:label="fragment_communicate"
        tools:layout="@layout/fragment_communicate" >
        <argument
            android:name="username"
            app:argType="string" />
        <argument
            android:name="phoneNumber"
            app:argType="string" />
    </fragment>
</navigation>